WOImageButton(3)

NAME
WOImageButton

SYNOPSIS
WOImageButton { pageName; action; directActionName; actionClass; src; filename; framework; x; y; queryDictionary; name; value; disabled; otherTagString; disabledFilename; }

VALIDATION
Either 'action', or one or both of 'actionclass' or 'directactionname' may be bound Exactly one of'filename', 'src', or 'value' must be bound 'filename' must be bound when 'framework' is bound

BINDINGS

pageName
    The value of 'pageName' will be used to lookup a WOComponent page.

action
    The 'action' binding is evaluated as an action (a method which returns a WOComponent or other WOActionResults object).

directActionName
    Kind: Direct Actions

actionClass
    Kind: Direct Action Classes

src

filename
    The value of 'filename' refers to a resource which will be looked up using the WOResourceManager.

framework
    The value of 'framework' must be the name of a framework or bundle to be used for resource lookups.

x

y

queryDictionary

name

value

disabled
    The value of 'disabled' will be evaluated in a boolean context.

otherTagString

disabledFilename
    The value of 'disabledFilename' refers to a resource which will be looked up using the WOResourceManager.

BUGS
SOPE related bugs are collected in the OpenGroupware.org Bugzilla:
  http://bugzilla.opengroupware.org/

AUTHOR
The SOPE community <developer at opengroupware.org>.

SEE ALSO
sope-ngobjweb-defaults